using System;
using UnityEngine;

namespace Intrepid.Core.Themes
{
    [Serializable]
    public class MechaTheme : AbstractThemeRelated
    {
        public MechaTheme(Palettes palettes) : base(palettes)
        {
        }
        
        public Color EnergyFlowIcon => Palettes.Bundle.Contrast.Background;
        public UIGaugeTheme EnergyGauge => new(Palettes, Palettes.EnergyGaugeColor, Palettes.CounterFillingColor);
        public UIDialogMinimalTheme ReactorIcon => new(Palettes);
        public UIPowerDemandedTheme PowerDemanded => new(Palettes);
    }
}